"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ghost = _interopRequireDefault(require("./images/ghost.svg"));

var _github = _interopRequireDefault(require("./images/github.svg"));

var _linkedin = _interopRequireDefault(require("./images/linkedin.svg"));

var _questionCircle = _interopRequireDefault(require("./images/question-circle.svg"));

var _telegram = _interopRequireDefault(require("./images/telegram.svg"));

var _twitter = _interopRequireDefault(require("./images/twitter.svg"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Footer extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      matches: window.matchMedia("(min-width: 768px)").matches
    };
  }

  setMatches(matches) {
    this.setState({
      matches
    });
  }

  componentDidMount() {
    const handler = e => this.setMatches(e.matches);

    window.matchMedia("(min-width: 768px)").addListener(handler);
  }

  render() {
    const {
      matches
    } = this.state;
    const {
      name
    } = this.props;
    return _react.default.createElement("footer", {
      style: {
        fontFamily: "-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,Fira Sans,Droid Sans,Helvetica Neue,sans-serif",
        position: "absolute",
        bottom: "0",
        left: "0",
        width: "100%",
        height: "3rem",
        display: "grid",
        grid: matches ? "1fr / [footer-start] 20px [banner] 10fr [title] 10fr [help] 4fr 1fr [social] 5fr 20px [footer-end]" : "1fr / [footer-start] 30px [banner] 9fr [help] 6fr 30px [footer-end]",
        background: "#4d00b4",
        color: "white",
        alignItems: "center",
        justifyItems: "center",
        minHeight: "40px"
      }
    }, _react.default.createElement("div", {
      style: {
        gridColumn: "banner",
        justifySelf: "start"
      }
    }, _react.default.createElement("a", {
      style: {
        color: "white",
        textDecoration: "none"
      },
      href: "https://kleros.io"
    }, "Find out more about Kleros")), _react.default.createElement("div", {
      style: {
        display: matches ? "" : "none",
        gridColumn: "title"
      }
    }, name), _react.default.createElement("div", {
      style: {
        display: "grid",
        gridColumn: "help",
        justifySelf: "end"
      }
    }, _react.default.createElement("a", {
      href: "https://t.me/kleros",
      style: {
        color: "white",
        textDecoration: "none"
      }
    }, "I need help", " ", _react.default.createElement("img", {
      src: _questionCircle.default,
      style: {
        verticalAlign: "middle"
      }
    }))), _react.default.createElement("div", {
      style: {
        display: matches ? "" : "none",
        gridColumn: "social",
        justifySelf: "stretch",
        alignItems: "center",
        textAlign: "center"
      }
    }, _react.default.createElement("div", {
      style: {
        display: matches ? "grid" : "none",
        alignItems: "center",
        grid: " 1fr / 1fr"
      }
    }, _react.default.createElement("div", {
      className: "icons",
      style: {
        display: matches ? "grid" : "none",
        grid: "1fr / 1fr 1fr 1fr 1fr 1fr"
      }
    }, _react.default.createElement("a", {
      href: "https://twitter.com/kleros_io?",
      rel: "noopener noreferrer",
      target: "_blank"
    }, _react.default.createElement("img", {
      src: _twitter.default
    })), _react.default.createElement("a", {
      href: "https://github.com/kleros",
      rel: "noopener noreferrer",
      target: "_blank"
    }, _react.default.createElement("img", {
      src: _github.default
    })), _react.default.createElement("a", {
      href: "https://blog.kleros.io/",
      rel: "noopener noreferrer",
      target: "_blank"
    }, _react.default.createElement("img", {
      src: _ghost.default
    })), _react.default.createElement("a", {
      href: "https://www.linkedin.com/company/kleros/",
      rel: "noopener noreferrer",
      target: "_blank"
    }, _react.default.createElement("img", {
      src: _linkedin.default
    })), _react.default.createElement("a", {
      href: "https://t.me/kleros",
      rel: "noopener noreferrer",
      target: "_blank"
    }, _react.default.createElement("img", {
      src: _telegram.default
    }))))));
  }

}

var _default = Footer;
exports.default = _default;